## frei0r-dmo 2.3.0

=== src/filter/CMakeLists.txt ===
if (${GAVL_FOUND})
    add_subdirectory (rgbparade)
    add_subdirectory (scale0tilt)
    add_subdirectory (vectorscope)
endif (${GAVL_FOUND})

if (${OpenCV_FOUND})
    add_subdirectory (facebl0r)
    add_subdirectory (facedetect)
endif (${OpenCV_FOUND})

if (${Cairo_FOUND})
  add_subdirectory (cairoimagegrid)
  add_subdirectory (cairogradient)
endif (${Cairo_FOUND})

add_subdirectory (3dflippo)
add_subdirectory (aech0r)
add_subdirectory (alpha0ps)
add_subdirectory (balanc0r)
add_subdirectory (baltan)
add_subdirectory (bluescreen0r)
add_subdirectory (bgsubtract0r)
add_subdirectory (blur)
add_subdirectory (brightness)
add_subdirectory (bw0r)
add_subdirectory (cartoon)
add_subdirectory (cluster)
add_subdirectory (colgate)
add_subdirectory (coloradj)
add_subdirectory (colordistance)
add_subdirectory (colorize)
add_subdirectory (colorhalftone)
add_subdirectory (colortap)
add_subdirectory (contrast0r)
add_subdirectory (c0rners)
add_subdirectory (curves)
add_subdirectory (d90stairsteppingfix)
add_subdirectory (defish0r)
add_subdirectory (delay0r)
add_subdirectory (delaygrab)
add_subdirectory (denoise)
add_subdirectory (distort0r)
add_subdirectory (dither)
add_subdirectory (edgeglow)
add_subdirectory (elastic_scale)
add_subdirectory (emboss)
add_subdirectory (equaliz0r)
add_subdirectory (flippo)
add_subdirectory (gamma)
add_subdirectory (glow)
add_subdirectory (glitch0r)
#add_subdirectory (host_param_test)
add_subdirectory (hueshift0r)
add_subdirectory (invert0r)
add_subdirectory (keyspillm0pup)
add_subdirectory (lenscorrection)
add_subdirectory (letterb0xed)
add_subdirectory (levels)
add_subdirectory (lightgraffiti)
add_subdirectory (luminance)
add_subdirectory (mask0mate)
add_subdirectory (medians)
add_subdirectory (measure)
add_subdirectory (ndvi)
add_subdirectory (nervous)
add_subdirectory (normaliz0r)
add_subdirectory (nosync0r)
add_subdirectory (perspective)
add_subdirectory (pixeliz0r)
add_subdirectory (pixs0r)
add_subdirectory (posterize)
add_subdirectory (premultiply)
add_subdirectory (primaries)
add_subdirectory (RGB)
add_subdirectory (rgbnoise)
add_subdirectory (rgbsplit0r)
add_subdirectory (saturat0r)
add_subdirectory (scanline0r)
add_subdirectory (select0r)
add_subdirectory (sharpness)
add_subdirectory (sigmoidaltransfer)
add_subdirectory (sobel)
add_subdirectory (softglow)
add_subdirectory (sopsat)
add_subdirectory (spillsupress)
add_subdirectory (squareblur)
add_subdirectory (tehroxx0r)
add_subdirectory (three_point_balance)
add_subdirectory (threelay0r)
add_subdirectory (threshold0r)
add_subdirectory (timeout)
add_subdirectory (tint0r)
add_subdirectory (transparency)
add_subdirectory (tutorial)
add_subdirectory (twolay0r)
add_subdirectory (vertigo)
add_subdirectory (vignette)

=== src/filter/alpha0ps/CMakeLists.txt ===
set (O_SOURCES alpha0ps.c fibe_f.h)
set (G_SOURCES alphagrad.c)
set (S_SOURCES alphaspot.c)

if (MSVC)
  set (O_SOURCES ${O_SOURCES} ${FREI0R_DEF})
  set (G_SOURCES ${G_SOURCES} ${FREI0R_DEF})
  set (S_SOURCES ${S_SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (alpha0ps MODULE ${O_SOURCES})
add_library (alphagrad MODULE ${G_SOURCES})
add_library (alphaspot MODULE ${S_SOURCES})

if(NOT MSVC)
  target_link_libraries(alpha0ps -lm)
  target_link_libraries(alphagrad -lm)
  target_link_libraries(alphaspot -lm)
endif()

set_target_properties (alpha0ps PROPERTIES PREFIX "")
set_target_properties (alphagrad PROPERTIES PREFIX "")
set_target_properties (alphaspot PROPERTIES PREFIX "")

install (TARGETS alpha0ps LIBRARY DESTINATION ${LIBDIR})
install (TARGETS alphagrad LIBRARY DESTINATION ${LIBDIR})
install (TARGETS alphaspot LIBRARY DESTINATION ${LIBDIR})

=== src/filter/denoise/CMakeLists.txt ===
set (SOURCES hqdn3d.c)
set (TARGET hqdn3d)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

if(NOT MSVC)
  link_libraries(m)
endif()
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/measure/CMakeLists.txt ===
set (B_SOURCES pr0be.c measure.h font2.h)
set (F_SOURCES pr0file.c measure.h font2.h)

if (MSVC)
  set (B_SOURCES ${B_SOURCES} ${FREI0R_DEF})
  set (F_SOURCES ${F_SOURCES} ${FREI0R_DEF})
endif (MSVC)

# link_libraries(m)
add_library (pr0be  MODULE  ${B_SOURCES})
add_library (pr0file  MODULE  ${F_SOURCES})

set_target_properties (pr0be PROPERTIES PREFIX "")
set_target_properties (pr0file PROPERTIES PREFIX "")

install (TARGETS pr0be LIBRARY DESTINATION ${LIBDIR})
install (TARGETS pr0file LIBRARY DESTINATION ${LIBDIR})

=== src/filter/tehroxx0r/CMakeLists.txt ===
set (SOURCES tehRoxx0r.c)
set (TARGET tehRoxx0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

## frei0r-dmo 1.7.0

=== debian/changelog ===
frei0r-dmo (1:1.7.0-dmo2+deb11u1) oldstable; urgency=medium

  * Add libcairo-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Apr 2024 16:01:29 +0200

frei0r-dmo (1:1.7.0-dmo2) unstable; urgency=medium

  * Changes libjs-jquery dependency by node-jquery

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 10:48:14 +0200

frei0r-dmo (1:1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Dec 2019 08:05:22 +0100

frei0r-dmo (1:1.6.1-dmo5) unstable; urgency=medium

  * Build without opencv, 4.1 isn't supported (yet) by frei0r.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2019 10:29:08 +0100

frei0r-dmo (1:1.6.1-dmo4) unstable; urgency=medium

  * Don't use multiarch path for /usr/lib

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Aug 2019 20:04:45 +0200

frei0r-dmo (1:1.6.1-dmo3) unstable; urgency=medium

  * Install frei0r.hpp in /usr/include
  * install all doc in the doc package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jul 2019 12:18:46 +0200

frei0r-dmo (1:1.6.1-dmo2) unstable; urgency=medium

  * Rebuild against opencv 3.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Oct 2017 08:23:19 +0200

frei0r-dmo (1:1.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jun 2017 14:58:56 +0200

frei0r-plugins-dmo (1:1.5-dmo2) unstable; urgency=medium

  * Fix link against libm.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Apr 2017 19:52:54 +0200

frei0r-plugins-dmo (1:1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Apr 2016 16:53:58 +0200

frei0r-plugins-dmo (1:1.4-dmo6) unstable; urgency=medium

  * Rebuild against libopencv-*v5 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Aug 2015 09:59:30 +0200

frei0r-plugins-dmo (1:1.4-dmo5) unstable; urgency=low

  * Add Suggests: opencv-data to frei0r-plugins package.
  * Build with GCC 5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Aug 2015 15:01:38 +0200

frei0r-plugins-dmo (1:1.4-dmo4) unstable; urgency=low

  * Rebuild against opencv 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Sep 2013 08:13:40 +0200

frei0r-plugins-dmo (1:1.4-dmo3) unstable; urgency=low

  * debian/watch updated.
  * -dev package is architecture all for now (only one include and a pc file).
  * Fix documentation build/install and update doc-base file.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2013 20:47:06 +0200

frei0r-plugins-dmo (1:1.4-dmo2) unstable; urgency=low

  * Upload to unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2013 19:46:13 +0200

frei0r-plugins-dmo (1:1.4-dmo1) experimental; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2013 19:06:03 +0200

frei0r (1.3+0git10121203-1) experimental; urgency=low

  [ upstream ]
  * Snapshot of upstream VCS as of 1012-12-03.
    + New filters:
      - blur (IIRblur)
      - cairogradient
      - cairoimagegrid
      - colgate
      - colorhalftone
      - colorize
      - colortap
      - dither
      - emboss
      - keyspillm0pup
      - posterize
      - rgbnoise
      - sigmoidaltransfer
      - softglow
      - spillsupress
      - timeout
      - vignette
    + New mixers:
      - cairoaffineblend
      - cairoblend

  [ Jonas Smedegaard ]
  * Drop all patches: Applied upstream.
  * Enable CDBS build-dependency semi-auto-resolving.
  * (Re)generate autotools.
    Build-depend on libtool, automake1.11 and autoconf (and not
    autotools-dev).
  * Add README.source covering use of CDBS and git-buildpackage.
  * Tighten build-dependency on libopencv-dev when build is targeted
    experimental suite.
  * Have frei0r-plugins provide virtual ABI package frei0r-plugins-1.2
    for reverse dependencies to depend on.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jan 2013 03:39:48 +0100

frei0r (1.3-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    Hightlights since last packaging release:
    + New filters:
      - alpha0ps (alpha0ps, alphagrad, alphaspot)
      - c0rners
      - coloradj
      - d90stairsteppingfix
      - defish0r
      - denoise (hqdn3d)
      - facebl0r
      - lightgraffiti
      - measure (Pr0be, Pr0file)
      - select0r
      - sharpness
      - sopsat
    + New generators:
      - test_pat (broadcast test patterns)
    * New mixer:
      - addition_alpha
    + Better documentation.
    + Better examples for writing code that makes use of thed opencv
      library.

  [ Jonas Smedegaard ]
  * Friendly takeover, on behalf of the Debian Multimedia Maintainers.
    + Update Maintainer, Uploader and Vcs-* control fields.
    Thanks for your past contributions, Luca Bigliardi.
  * Add git-buildpackage config, enabling signed tags and pristine-tar,
    and filtering out upstream .gitignore file. Drop earlier odd config
    in root dir.
  * Drop obsolete DM-Upload-Allowed control field.
  * Soft-include CDBS upstream-tarball.mk snippet, to provide
    get-orig-source target.
  * Add watch file.
  * Relax to build-depend unversioned on debhelper and libgavl-dev:
    Needed versions satisfied in stable, and oldstable no longer
    supported.
  * Add a bunch of bug-fix patches cherry-picked from upstream VCS.
  * Build-depend on autotools-dev (and not libtool, automake or
    autoconf), and drop sloppy autoreconf introduced in
    1.1.22git20091109-1.2.
  * Build-depend on dh-buildinfo, to help debug independently from
    central Debian resources.
  * Bump debhelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Git-ignore quilt .pc dir.
  * Use source format 3.0 (quilt).


=== debian/control ===
Source: frei0r-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://frei0r.dyne.org/
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends-Indep: doxygen
Build-Depends: debhelper-compat (= 12), libgavl-dev, libcairo-dev

Package: frei0r-plugins
Section: video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: opencv-data
Replaces: frei0r
Description: Minimalistic plugin API for video effects, plugins collection.
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API for
 all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains a collection of plugins.

Package: frei0r-plugins-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}
Replaces: frei0r-dev
Description: Minimalistic plugin API for video effects, header files.
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API for
 all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains the header needed to enable frei0r in other package
 at build time.

Package: frei0r-plugins-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, node-jquery
Replaces: frei0r-doc
Description: minimalistic plugin API for video effects, API documentation.
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API for
 all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--libdir=/usr/lib/

#	exit 1

override_dh_install-indep:
	make -C doc/

	dh_install -i

	dh_link -pfrei0r-plugins-doc usr/share/nodejs/jquery/dist/jquery.js \
	usr/share/doc/frei0r-plugins-doc/html/jquery.js

override_dh_clean:
	dh_clean doc/Makefile doc/html/*

#override_dh_install-indep:
#	cd doc && doxygen Doxyfile

=== debian/watch ===
version=4

https://github.com/dyne/frei0r/releases \
.*/v(.*)@ARCHIVE_EXT@

## frei0r-dmo 2.3.0

=== debian/changelog ===
frei0r-dmo (1:2.3.0-dmo1+deb12u1) stable; urgency=medium

  * Add libcairo-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Apr 2024 15:27:28 +0200

frei0r-dmo (1:2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 May 2023 01:58:18 +0200

frei0r-dmo (1:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Jan 2023 01:58:54 +0100

frei0r-dmo (1:2.0.0-dmo2) unstable; urgency=medium

  * Move plugins to /usr/lib/frei0r-1 instead of multi-arch path (Thanks to
    Paul Haesler for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Jan 2023 14:05:06 +0100

frei0r-dmo (1:2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Dec 2022 13:17:13 +0100

frei0r-dmo (1:1.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Dec 2022 13:15:31 +0100

frei0r-dmo (1:1.8.0-dmo2) unstable; urgency=medium

  * Build with opencv 4.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jul 2022 06:36:04 +0200

frei0r-dmo (1:1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Mar 2022 02:07:40 +0200

frei0r-dmo (1:1.7.0-dmo3) unstable; urgency=medium

  * Build with libgavl2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Feb 2022 22:05:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://frei0r.dyne.org/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends-Indep: doxygen
-Build-Depends: debhelper-compat (= 12), libgavl-dev, libcairo-dev
+Build-Depends: debhelper-compat (= 13), libgavl-dev (>= 2.0.0~),
+ libopencv-dev (>= 4.6.0), cmake, ninja-build, libcairo-dev
 
 Package: frei0r-plugins
 Section: video
@@ -45,19 +46,19 @@
  This package contains the header needed to enable frei0r in other package
  at build time.
 
-Package: frei0r-plugins-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}, node-jquery
-Replaces: frei0r-doc
-Description: minimalistic plugin API for video effects, API documentation.
- frei0r is a minimalistic plugin API for video sources and filters. The
- behavior of the effects can be controlled from the host by simple
- parameters. The intent is to solve the recurring reimplementation or
- adaptation issue of standard effects. It is not meant as a generic API for
- all kinds of video applications.
- .
- frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
- Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
- .
- This package contains the API documentation.
+#Package: frei0r-plugins-doc
+#Section: doc
+#Architecture: all
+#Depends: ${misc:Depends}, node-jquery
+#Replaces: frei0r-doc
+#Description: minimalistic plugin API for video effects, API documentation.
+# frei0r is a minimalistic plugin API for video sources and filters. The
+# behavior of the effects can be controlled from the host by simple
+# parameters. The intent is to solve the recurring reimplementation or
+# adaptation issue of standard effects. It is not meant as a generic API for
+# all kinds of video applications.
+# .
+# frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
+# Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
+# .
+# This package contains the API documentation.

## frei0r-dmo 2.3.3

=== debian/changelog ===
frei0r-dmo (1:2.3.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 13:19:54 +0200

frei0r-dmo (1:2.3.2-dmo3) unstable; urgency=medium

  * Add libcairo2-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Apr 2024 15:14:09 +0200

frei0r-dmo (1:2.3.2-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 11:43:39 +0100

frei0r-dmo (1:2.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Dec 2023 11:24:35 +0100

frei0r-dmo (1:2.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Aug 2023 17:57:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://frei0r.dyne.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends-Indep: doxygen
 Build-Depends: debhelper-compat (= 13), libgavl-dev (>= 2.0.0~),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_INSTALL_LIBDIR=lib \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

#	exit 1

override_dh_install-indep:
	cd doc && cmake ./
#	cmake -C doc/

#	dh_install -i

#	dh_link -pfrei0r-plugins-doc usr/share/nodejs/jquery/dist/jquery.js \
#	usr/share/doc/frei0r-plugins-doc/html/jquery.js

override_dh_clean:
	dh_clean doc/Makefile

#override_dh_install-indep:
#	cd doc && doxygen Doxyfile

override_dh_auto_test:

## frei0r-dmo 2.5.0

=== src/filter/dither/CMakeLists.txt ===
set (SOURCES dither.c)
set (TARGET dither)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r-dmo (1:2.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Oct 2025 18:19:51 +0200

frei0r-dmo (1:2.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Sep 2025 13:18:01 +0200

frei0r-dmo (1:2.3.3-dmo1+b2) unstable; urgency=medium

  * Build with opencv 4.10.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Feb 2025 00:03:31 +0100

frei0r-dmo (1:2.3.3-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Nov 2024 10:13:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://frei0r.dyne.org/
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends-Indep: doxygen
 Build-Depends: debhelper-compat (= 13), libgavl-dev (>= 2.0.0~),
- libopencv-dev (>= 4.6.0), cmake, ninja-build, libcairo-dev
+ libopencv-dev (>= 4.10.0~), cmake, ninja-build, libcairo-dev,
 
 Package: frei0r-plugins
 Section: video
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: opencv-data
-Replaces: frei0r
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: opencv-data,
+Replaces: frei0r,
 Description: Minimalistic plugin API for video effects, plugins collection.
  frei0r is a minimalistic plugin API for video sources and filters. The
  behavior of the effects can be controlled from the host by simple
@@ -31,8 +30,8 @@
 Package: frei0r-plugins-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}
-Replaces: frei0r-dev
+Depends: ${misc:Depends},
+Replaces: frei0r-dev,
 Description: Minimalistic plugin API for video effects, header files.
  frei0r is a minimalistic plugin API for video sources and filters. The
  behavior of the effects can be controlled from the host by simple

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 	-DCMAKE_INSTALL_LIBDIR=lib \
-	-DCMAKE_BUILD_TYPE=RelWithDebInfo
+	-Wno-dev
 
 #	exit 1

=== debian/watch ===
version=4

https://github.com/dyne/frei0r/tags \
.*/v(.*)@ARCHIVE_EXT@

## frei0r-dmo 2.5.1

=== debian/changelog ===
frei0r-dmo (1:2.5.1-dmo2) unstable; urgency=medium

  * Build with libgavl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Feb 2026 14:30:25 +0100

frei0r-dmo (1:2.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Dec 2025 08:30:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh_auto_configure -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 	-DCMAKE_INSTALL_LIBDIR=lib \
+	-DWITHOUT_FACERECOGNITION=ON \
 	-Wno-dev
 
 #	exit 1

## frei0r-dmo 2.5.2

=== debian/changelog ===
frei0r-dmo (1:2.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Feb 2026 17:24:50 +0100

## frei0r-dmo 2.5.4

=== debian/changelog ===
frei0r-dmo (1:2.5.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Feb 2026 02:29:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: frei0r-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://frei0r.dyne.org/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends-Indep: doxygen
-Build-Depends: debhelper-compat (= 13), libgavl-dev (>= 2.0.0~),
+Build-Depends: debhelper-compat (= 13), libgavl-dev (>= 2.0.1~),
  libopencv-dev (>= 4.10.0~), cmake, ninja-build, libcairo-dev,
 
 Package: frei0r-plugins

## frei0r-dmo 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.12)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

project (frei0r)
set (VERSION 2.5.1)

include(GNUInstallDirs)

option (WITHOUT_OPENCV "Disable plugins dependent upon OpenCV" OFF)
option (WITHOUT_FACERECOGNITION "Disable facedetect plugin to avoid protobuf conflicts" OFF)

if (NOT WITHOUT_OPENCV)
  find_package (OpenCV REQUIRED)
endif ()

option (WITHOUT_CAIRO "Disable plugins dependent upon gavl" OFF)
if (NOT WITHOUT_CAIRO)
  find_package (Cairo REQUIRED)
endif ()

include(FindPkgConfig)
option (WITHOUT_GAVL "Disable plugins dependent upon gavl" OFF)
if (PKG_CONFIG_FOUND AND NOT WITHOUT_GAVL)
  pkg_check_modules(GAVL REQUIRED gavl)
endif ()

include_directories (AFTER include)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif (NOT CMAKE_BUILD_TYPE)

set (LIBDIR "${CMAKE_INSTALL_LIBDIR}/frei0r-1")
set (FREI0R_DEF "${CMAKE_SOURCE_DIR}/msvc/frei0r_1_0.def")
set (FREI0R_1_1_DEF "${CMAKE_SOURCE_DIR}/msvc/frei0r_1_1.def")
set (FREI0R_1_2_DEF "${CMAKE_SOURCE_DIR}/msvc/frei0r_1_2.def")

# --- custom targets: ---
INCLUDE( cmake/modules/TargetDistclean.cmake OPTIONAL)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

# For code documentation run: doxygen doc/Doxyfile
# add_subdirectory (doc)

add_subdirectory (src)

# Generate frei0r.pc and install it.
set (prefix "${CMAKE_INSTALL_PREFIX}")
set (exec_prefix "${CMAKE_INSTALL_PREFIX}")
set (libdir "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (includedir "${CMAKE_INSTALL_PREFIX}/include")
configure_file ("frei0r.pc.in" "frei0r.pc" @ONLY)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/frei0r.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== debian/changelog ===
frei0r-dmo (1:2.5.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Mar 2026 00:16:19 +0100
